﻿@using System.Web.UI.WebControls;
@using Portal.Models.Globals;
@using Portal.Models.SourceListMaintenance;

<table style="width:100%;">
    <tr>
        <td style="width:120px;">
            @Html.DevExpress().Label(
                edtSettings => {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Material No";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIPMaterialNo";
                    gridLookup.Width = 170;
                    gridLookup.GridProperties.KeyFieldName = "MAT_NO";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SourceListMaintenance", Action = "PartialMatNoGridLookup" };
                    gridLookup.ReadOnly = true;

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "MAT_NO";
                        column.FieldName = "MAT_NO";
                        column.Caption = "Material Number";
                        column.Width = Unit.Pixel(150);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "MAT_DESC";
                        column.FieldName = "MAT_DESC";
                        column.Caption = "Material<br />Description";
                        column.Width = Unit.Pixel(300);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["MatNoGridLookup"]).GetHtml()
        </td>
        <td style="width:120px;">
            @Html.DevExpress().Label(
                edtSettings => {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Supplier Code";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.Common().DevExpress().GridLookup(
               gridLookup =>
               {
                   gridLookup.Name = "OIPSuppCD";
                   gridLookup.Width = 170;
                   gridLookup.GridProperties.KeyFieldName = "SUPP_CD";
                   gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SourceListMaintenance", Action = "LookUpSupplierCodeHeader" };
                   gridLookup.ReadOnly = true;

                   gridLookup.GridProperties.Columns.Add(column =>
                   {
                       column.Name = "SUPP_CD";
                       column.FieldName = "SUPP_CD";
                       column.Caption = "Supplier<br />Code";
                       column.Width = Unit.Pixel(80);
                       column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                       column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                   });

                   gridLookup.GridProperties.Columns.Add(column =>
                   {
                       column.Name = "SUPP_NAME";
                       column.FieldName = "SUPP_NAME";
                       column.Caption = "Vendor<br />Name";
                       column.Width = Unit.Pixel(500);
                       column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                       column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                   });
               }).Bind(ViewData["SupplierCdGridLookup"]).GetHtml()
        </td>
        <td style="width:230px;"></td>
        <td style="width:260px;"></td>
    </tr>
    <tr>
        <td style="width:120px;">
            @Html.DevExpress().Label(
                edtSettings => {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Source Type";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.DevExpress().ComboBox(
            cmb =>
            {
                cmb.Name = "OIPSourceType";
                cmb.Width = 170;
                cmb.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                cmb.Properties.DropDownStyle = DropDownStyle.DropDownList;
                cmb.Properties.TextField = "SOURCE_NAMEE";                
                cmb.Properties.ValueField = "SOURCE_TYPE";

            }).BindList(ViewData["SourceTypeHead"]).GetHtml()
        </td>
        <td style="width:120px;">
            @Html.DevExpress().Label(
                edtSettings => {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Supplier Name";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "OIPSuppName";
                    edtSettings.Width = 170;
                    edtSettings.Properties.MaxLength = 40;
                }).GetHtml()
        </td>
        <td style="width:230px;"></td>
        <td style="width:50px;"></td>
        <td style="width:40px;"></td>
        <td style="width:110px;"></td>
        <td style="width:40px;"></td>
        <td style="width:110px;"></td>
        <td style="width:260px;"></td>
    </tr>
    <tr>
        <td style="width:120px;">
            @Html.DevExpress().Label(
                edtSettings => {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Prod Purpose";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.DevExpress().ComboBox(
            cmb =>
            {
                
                cmb.Name = "OIPProdPurpose";
                cmb.Width = 170;
                
                cmb.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                cmb.Properties.DropDownStyle = DropDownStyle.DropDownList;
                cmb.Properties.TextField = "PROD_PURPOSE_CD";
                cmb.Properties.ValueField = "PROD_PURPOSE_CD";
                
            }).BindList(ViewData["ProdPurposeHead"]).GetHtml()
        </td>
        <td style="width:120px;">
            @Html.DevExpress().Label(
                edtSettings => {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Buyer Code";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "OIPBuyerCD";
                    edtSettings.Width = 170;
                    edtSettings.Properties.MaxLength = 5;

                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td style="width:120px;">
            @Html.DevExpress().Label(
                edtSettings => {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Part Color Suffix";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "OIPPartColorSuffix";
                    edtSettings.Width = 170;
                    edtSettings.Properties.MaxLength = 2;
                }).GetHtml()
        </td>
    </tr>
    <tr>

        <td style="width:120px;">
            @Html.DevExpress().Label(
                edtSettings => {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Material Description";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style=" width:200px;">
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "OIPMatDesc";
                    edtSettings.Width = 170;
                    edtSettings.Properties.MaxLength = 40;
                }).GetHtml()
        </td>

    </tr>
</table>

<table width="100%" id="TblSearch">
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td style="width:90px;"></td>
        <td colspan = "4"></td>
        <td style="width:90px;"></td>
        <td style="width:90px;">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "OIPSearchButton";
                    edtSetting.Text = "Search";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "OnOIPSearchButtonClick";
                }
            ).GetHtml()
        </td>
        <td style="width:90px;">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "OIPClearButton";
                    edtSetting.Text = "Clear";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "OnOIPClearButtonClick";
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td style="width:90px">@using (Html.BeginForm("UploadCallback", "SourceList", FormMethod.Post, new { enctype = "multipart/form-data" }))
                               {
            @Html.DevExpress().UploadControl(
                upload =>
                {
                    upload.AddButton.Text = "";
                    upload.Name = "SourceListUpload";
                    upload.CallbackRouteValues = new { Controller = "SourceListMaintenance", Action = "OnUploadCallbackRouteValues" };
                    upload.ClientSideEvents.FileUploadComplete = "OnUploadComplete";


                    upload.Width = 250;
                    
                    upload.ValidationSettings.MaxFileSize = 10000000;
                    upload.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                    upload.ValidationSettings.AllowedFileExtensions = new String[] { ".xls" };
                    upload.ValidationSettings.ShowErrors = true;
                    upload.BrowseButton.Text = "...";
                    upload.CancelButton.Text = "";
                    upload.CancelButtonSpacing = Unit.Pixel(0);
                }).GetHtml()
                               }
        </td>
        <td colspan = "4">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnUpload";
                    button.Text = "Upload";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("padding-left", "5px");
                    button.ClientSideEvents.Click = "OnUploadClick";
                }).GetHtml()
        </td>
        
        <td style="width:90px;">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "OIPDownload";
                    edtSetting.Text = "Download";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "OnDownloadClick";
                    edtSetting.EnableClientSideAPI = true;
                }
            ).GetHtml()
        </td>

        <td style="width:90px;">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "OIPAdd";
                    edtSetting.Text = "Add";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "function(s,e) { AddNewData.Show(); } ";
                    edtSetting.EnableClientSideAPI = true;
                }
            ).GetHtml()
        </td>

        <td style="width:90px;">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "OIPDelete";
                    edtSetting.Text = "Delete";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "OIPDeleteClick";
                    edtSetting.EnableClientSideAPI = true;
                }
            ).GetHtml()
        </td>
    </tr>

    <tr>
         <td >
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Download Template";
                }).GetHtml()
            @Html.DevExpress().HyperLink(
                link =>
                {
                    link.Name = "DownloadTemplateLink";
                    link.Properties.Text = "Here";
                    link.Properties.Style.Font.Underline = true;
                    link.Properties.ClientSideEvents.Click = "DownloadTemplateLink_Click";
                    link.ControlStyle.Cursor = "pointer";
                    link.ControlStyle.VerticalAlign = VerticalAlign.Top;
                }).GetHtml()
        </td>    
    </tr>

</table>